Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class MethodSelectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.runtime.metaclass.MethodSelectionException

    public class MethodSelectionException
    extends GroovyRuntimeException

This exception is thrown if the runtime is unable to select a method. This class builds the exception text when calling getMessage.
Note: This exception as for internal use only!

Authors:
  Jochen Theodorou

Since:
  Groovy 1.1

Constructor Summary
`MethodSelectionException(String methodName, FastArray methods, Class[] arguments)` Creates a new MethodSelectionException.

Method Summary
`String` | `getMessage()`

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MethodSelectionException

    public MethodSelectionException(String methodName, FastArray methods, Class[] arguments)

  Creates a new MethodSelectionException.
  Parameters:
    `methodName` - name of the method
    `methods` - a FastArray of methods
    `arguments` - the method call argument classes

Method Detail

### getMessage

    public String getMessage()

Copyright © 2003-2010 The Codehaus. All rights reserved.